#use i2c(master,sda=PIN_C4,scl=PIN_C3)

#SEPARATE VOID rxtx_success(){ // Receive- or Transmit-Success

for(LED_COUNT=0; LED_COUNT < 5; LED_COUNT++){
b.RXTX_SUCCESS = 1;
delay_ms(100);
b.RXTX_SUCCESS = 0;
delay_ms(100);}}


//-----------------------------------------------------------------------------

#SEPARATE VOID success(){ // Success

b.SUCCESS = 1;
delay_ms(1000);
b.SUCCESS = 0;
delay_ms(50);}


//-----------------------------------------------------------------------------

#SEPARATE VOID rxtx_error(){ // Receive- or Transmit-Error

for(LED_COUNT=0; LED_COUNT < 10; LED_COUNT++){
b.RXTX_ERROR = 1;
delay_ms(50);
b.RXTX_ERROR = 0;
delay_ms(50);}}


//-----------------------------------------------------------------------------

#SEPARATE VOID error(){ // Error

b.ERROR = 1;
delay_ms(1000);
b.ERROR = 0;
delay_ms(50);}


//-----------------------------------------------------------------------------

#SEPARATE VOID board_check(){

#define RELAY_READ 0x41
#define CONNECTOR_READ 0x43
#define RFRECEIVE_READ 0x45
#define LCD_READ 0x47

BYTE I2C_READ_RESULT;

b.SYS_READY_BUSY = 0;

i2c_start();
i2c_write(RELAY_READ);
I2C_READ_RESULT = i2c_read(0); // ...i2c_read(0); --> do not ack!
i2c_stop();

if(I2C_READ_RESULT == 0x01){ // Is Relayboard (0x01) there?
lcd_putchar("RelayBoard there");
success();
blanking();}
else{
lcd_putchar("ERROR:RelayBoard\r");
gotoxy(1, 2);
lcd_putchar("not there!");
error();
blanking();
reset_cpu();}

i2c_start();
i2c_write(CONNECTOR_READ);
I2C_READ_RESULT = i2c_read(0);
i2c_stop();

if(I2C_READ_RESULT == 0x02){ // Is Connectorboard (0x02) there?
lcd_putchar("Conn.Board there");
success();
blanking();}
else{
lcd_putchar("ERROR:Conn.Board");
gotoxy(1, 2);
lcd_putchar("not there!");
error();
blanking();
reset_cpu();}

i2c_start();
i2c_write(RFRECEIVE_READ);
I2C_READ_RESULT = i2c_read(0);
i2c_stop();

if(I2C_READ_RESULT == 0x03){ // Is RFReceive_Board (0x03) there?
lcd_putchar("RFReceiveBoard");
gotoxy(1, 2);
lcd_putchar("there.");
success();
blanking();}
else{
lcd_putchar("ERROR:RFRxBoard");
gotoxy(1, 2);
lcd_putchar("not there!");
error();
blanking();}

i2c_start();
i2c_write(LCD_READ);
I2C_READ_RESULT = i2c_read(0);
i2c_stop();

if(I2C_READ_RESULT == 0x04){ //success(); // Is LCD_Board (0x04) there?
lcd_putchar("LCDBoard there");
success();
blanking();}
else{
lcd_putchar("ERROR:LCDBoard");
gotoxy(1, 2);
lcd_putchar("not there!");
error();
blanking();}}


//-----------------------------------------------------------------------------

#INT_EXT
#SEPARATE VOID ext_isr(){ // A real reset by INT, cause reset_cpu() doesnt reset relays

while(!input(PIN_B0)){

delay_ms(800);
b.SYS_READY_BUSY = 0;

output_a(0);
reset_cpu();}}


