INT i, j, k, l, LED_COUNT, COUNT, CMP_COUNT; // Global counters

INT CHECK_HWSW, TX_INFO_FLAG, ODD, EVEN;

INT PHONE_TYPE; // Will be '0' for a 3410, '1' for a 6110 & '2' for a 6210

INT TEMP_STRING_BEFORE[6] = { 0x20, 0, 0, 0x2E, 0, 0x43 };
INT TEMP_STRING_AFTER[13] = { 0, 0, 0, 0, 0, 0, 0x40, 0x20, 0x10, 0x08, 0x04, 0x02, 0x81 };

BYTE DOG_SEND, MESSAGE_LENGTH, SEQUENCE_NR, CRC, I2C_READ_RESULT;

BYTE ACK_IN_BUFFER[ACK_LENGTH];
BYTE ACK_OUT_BUFFER[ACK_LENGTH] = { SERIAL_FRAME_HEADER, DEST_PHONE, SOURCE_PIC,
                                    ACK_MESSAGE_TYPE, 0, 2, 0, 0, 0, 0 };

BYTE IN_BUFFER[MAX_IN_FRAME_LENGTH];
BYTE OUT_BUFFER[MAX_OUT_FRAME_LENGTH];

BYTE HWSW_INFO_STRING[31];
BYTE SMS_NUMBERS[20]; // 0-9: SMSC number, 10-19: Destination phone number
BYTE SMSC_LENGTH=0;

BOOLEAN PHONE_CHECK; // Will be '0' if 6110 compatible or '1' if 7110 compatible

CHAR STRN_CMP[4];

//*************************** Global constants ********************************

CHAR CONST VERSION_STRING[17] = { "FBUSControl 1.71" };

CHAR CONST TYPE_TABLE[42][6] = { "3210", "NSE-8", // 6110 compatibles
                                 "3310", "NHM-5",
                                 "3330", "NHM-6",
                                 "3360", "NPW-1",
                                 "3390", "NPB-1",
                                 "3410", "NHM-2",

                                 "5110", "NSE-1",
                                 "5110i", "NSE-2",
                                 "5130", "NSK-1",
                                 "5190", "NSB-1",

                                 "6110", "NSE-3",
                                 "6130", "NSK-3",
                                 "6150", "NSM-1",
                                 "6190", "NSB-3",

                                 "8210", "NSM-3",
                                 //"8250", "NSM-3D", // too long for 16F876
                                 "8290", "NSB-7",
                                 "8850", "NSM-2",

                                 "6210", "NPE-3", // 7110 compatibles
                                 "6250", "NHM-3",
                                 "7110", "NSE-5",
                                 "7190", "NSB-5" };
