#use i2c(master,sda=PIN_C4,scl=PIN_C3)


#SEPARATE VOID i2cwriting(BYTE N){

i2c_start();
i2c_write(DOG_ADDRESS);
i2c_write(N);
i2c_stop();}


//-----------------------------------------------------------------------------

#SEPARATE VOID sendnibble(BYTE N){

sendstruct.RW = 0;
sendstruct.DATA = N;
DOG_SEND=sendstruct;
i2cwriting(DOG_SEND);

nop();

sendstruct.RW = 0;
sendstruct.ENABLE = 1;
DOG_SEND=sendstruct;
i2cwriting(DOG_SEND);

delay_us(5);

sendstruct.RW = 0;
sendstruct.ENABLE = 0;
DOG_SEND=sendstruct;
i2cwriting(DOG_SEND);}


//-----------------------------------------------------------------------------

#SEPARATE VOID sendbyte(BYTE ADDRESS, BYTE N){

sendstruct.RW = 0;
sendstruct.RS = 0;
DOG_SEND=sendstruct;
i2cwriting(DOG_SEND);

delay_ms(5);

sendstruct.RW = 0;
sendstruct.RS = ADDRESS;
DOG_SEND=sendstruct;
i2cwriting(DOG_SEND);

nop();

sendstruct.RW = 0;
sendstruct.ENABLE = 0;
DOG_SEND=sendstruct;
i2cwriting(DOG_SEND);

sendnibble(N >> 4);
sendnibble(N & 0xF);}


//-----------------------------------------------------------------------------

#SEPARATE VOID gotoxy(BYTE X, BYTE Y){

BYTE ADDRESS;

#ifdef LCD
#ifdef LCD16X3
if (Y==1) ADDRESS=0;
if (Y==2) ADDRESS=0x10;
if (Y==3) ADDRESS=0x20;
#endif

#ifdef LCD16X2
if (Y==1) ADDRESS=0;
if (Y==2) ADDRESS=0x40;
#endif

ADDRESS+=X-1;
sendbyte(0, 0x80|ADDRESS);
#endif }


//-----------------------------------------------------------------------------

#SEPARATE VOID blanking(){

#ifdef LCD
delay_ms(1400); // timed
sendbyte(0, 1);
#endif }


//-----------------------------------------------------------------------------

#SEPARATE VOID lcd_putchar(CHAR F){

#ifdef LCD
sendbyte(1, F);
#endif }


//-----------------------------------------------------------------------------

#SEPARATE VOID lcd_init(){

INT INIT_COUNT;

#ifdef LCD16X2
BYTE CONST INIT_STRING[8] = {0x29, 0x1C, 0x52, 0x69, 0x74, 0x0C, 1, 6};
#endif

#ifdef LCD16X3
BYTE CONST INIT_STRING[8] = {0x29, 0x1D, 0x50, 0x6C, 0x79, 0x0C, 1, 6};
#endif

#ifdef LCD
sendstruct.RW = 0;
sendstruct.RS = 0;
sendstruct.ENABLE = 0;
DOG_SEND=sendstruct;
i2cwriting(DOG_SEND);

delay_ms(15);
for(INIT_COUNT=0; INIT_COUNT<=2; INIT_COUNT++){
sendnibble(3);
delay_ms(5);}
sendnibble(2);
delay_ms(2);

for(INIT_COUNT=0; INIT_COUNT<=7; INIT_COUNT++){
sendbyte(0, INIT_STRING[INIT_COUNT]);
delay_ms(2);}
lcd_putchar(VERSION_STRING);
blanking();
#endif }
